libzypp 17.37.10

sysconfig.h File Reference
`#include <string>`
`#include <map>`
`#include <zypp-core/Pathname.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::base
namespace | zypp::base::sysconfig

## Functions
std::map< std::string, std::string > | zypp::base::sysconfig::read (const Pathname &_path) ZYPP_API
| Read sysconfig file path_r and return (key,valye) pairs.
bool | zypp::base::sysconfig::write (const Pathname &path_r, const std::string &key_r, const std::string &val_r, const std::string &newcomment_r=std::string()) ZYPP_API
| Add or change a value in sysconfig file path_r.
bool | zypp::base::sysconfig::writeStringVal (const Pathname &path_r, const std::string &key_r, const std::string &val_r, const std::string &newcomment_r=std::string()) ZYPP_API
| Convenience to add or change a string-value in sysconfig file path_r.